Differences between revisions 36 and 37
Revision 36 as of 2021-09-15 05:04:03
Size: 4741
Editor: ?OttoKekalainen
Comment:
Revision 37 as of 2021-09-15 05:04:37
Size: 4724
Editor: ?OttoKekalainen
Comment:
Deletions are marked like this. Additions are marked like this.
Line 6: Line 6:
'''See new wiki page at https://salsa.debian.org/mariadb-team/mariadb-server/-/wikis/MariaDB-in-Debian''' '''See new wiki page at https://salsa.debian.org/mariadb-team/mariadb-server/-/wikis/'''

Translation(s): none



See new wiki page at https://salsa.debian.org/mariadb-team/mariadb-server/-/wikis/


It would be useful to know why each of the build dependencies is required. Let's do a good job of eliminating unnecessary dependencies without creating new bugs.

mysql-5.6

Dependency

Reason

Reference

bison

used to generate SQL parsers

Wikipedia

chrpath

used explicitly in debian/rules but is that still necessary

n/a

cmake

Used since 5.5

Building from src

debhelper (>= 8.1.3~)

8.1.3 required for multiarch

MultiArch

dh-apparmor

install AppArmor profile

#736087

dpkg-dev (>= 1.16.1~)

This was a false Lintian warning, as dpkg-dev is part of build-essential

Hardening

gawk

Builds fine without this. It seems that gawk is not needed but the dependency remains.

#302284

libaio-dev[linux-any]

linux native threads

#659565

libedit-dev

used by mysql-client

mail thread

libncurses5-dev (>= 5.0-6)

cmake will complain if this is missing.

n/a

libwrap0-dev (>= 7.6-8.3)

TCP wrappers

Wikipedia

lsb-release

Used in init scripts but why a build dependency.

Wikipedia

perl

Test scripts written in Perl

n/a

po-debconf

support for internationalization of debconf

Internationalization

psmisc

probably needed for mysql_zap; not sure as a build dependency

n/a

zlib1g-dev (>= 1:1.1.3-5)

I think was hasty in removing this

Restored in repository

mysql-5.5

Dependency

Reason

Reference

bison

used to generate SQL parsers

Wikipedia

chrpath

used explicitly in debian/rules but is that still necessary

n/a

cmake

Used since 5.5

Building from src

debhelper (>= 8.1.3~)

8.1.3 required for multiarch

MultiArch

dh-apparmor

install AppArmor profile

#736087

libaio-dev[linux-any]

linux native threads

#659565

libncurses5-dev (>= 5.0-6)

cmake will complain if this is missing.

n/a

libwrap0-dev (>= 7.6-8.3)

TCP wrappers

Wikipedia

lsb-release

Used in init scripts but why a build dependency.

Wikipedia

perl

Test scripts written in Perl

n/a

po-debconf

support for internationalization of debconf

Internationalization

psmisc

probably needed for mysql_zap; not sure as a build dependency

n/a

zlib1g-dev (>= 1:1.1.3-5)

I think was hasty in removing this

Restored in repository

mariadb-5.5

In addition to above, in MariaDB 5.5 are needed: libjemalloc-dev, libssl-dev, libpam0g-dev, libboost1.xx-dev (xx= .42 - .53).

mariadb-10.0

There is a bundled pcre3 but if the system provides libpcre3-dev >= 8.35 it will be used. MariaDB will detect at build time if pcre_stack_guard symbol is found, and use it (and then binaries will also require it when run).

MariaDB still uses readline5-dev rather than libedit-dev as it seems most users still prefer readline (and it is still available in Debian).

Code-wise MariaDB supports libwrap but Debian is the only distro where it is still enabled, so we decided to deprecate it. Iptables and other much better tools are preferred over libwrap nowadays.